#include "microclang.h"
const char* myLibraryString = "library_pointer";

CXSourceRange_ clang_getArbitraryRange_()
{	CXSourceRange_ range = {0};
	range.ptr_data[0] = (void*)myLibraryString;
	return range;
}

int clang_getRangeEnd_(CXSourceRange_ range) 
{	// Special decoding for CXSourceLocations for CXLoadedDiagnostics.
	
	if ((uintptr_t)range.ptr_data[0] & 0x1) 
	{	return 0;    	}
	else
	{	return 1;	}
}

const char * lib_getLibraryString()
{	return myLibraryString;
}

int lib_testString( const char *aString )
{	if ((uintptr_t)aString & 0x1)
	{	return 0;    	}
	else
	{	return 1;	}
}
